Bug 689537 - Fix Coverity NULL pointer dereferences
Summary: Fix Coverity NULL pointer dereferences
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 689908 690319
TreeView+ depends on / blocked
 
Reported: 2011-03-21 18:17 UTC by Nathan Kinder
Modified: 2015-12-07 16:39 UTC (History)
2 users (show)

(edit)
Clone Of:
: 689908 (view as bug list)
(edit)
Last Closed: 2015-12-07 16:39:30 UTC


Attachments (Terms of Use)
Patch for cov#10699 (1.49 KB, patch)
2011-03-21 18:19 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10610 (1.19 KB, patch)
2011-03-22 17:10 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10608 (1.29 KB, patch)
2011-03-22 17:34 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-03-21 18:17:52 UTC
A recent run of Coverity identified some issues with NULL pointer dereferences.  We should fix these issues.

Comment 1 Nathan Kinder 2011-03-21 18:19:27 UTC
Created attachment 486665 [details]
Patch for cov#10699

Comment 2 Nathan Kinder 2011-03-22 17:10:36 UTC
Created attachment 486849 [details]
Patch for cov#10610

Comment 3 Nathan Kinder 2011-03-22 17:34:13 UTC
Created attachment 486857 [details]
Patch for cov#10608

Comment 4 Nathan Kinder 2011-03-22 18:38:03 UTC
Pushed patches to master.  Thanks to Noriko for her reviews!

Counting objects: 29, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (21/21), done.
Writing objects: 100% (21/21), 2.26 KiB, done.
Total 21 (delta 14), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   0498723..c772157  master -> master

Comment 5 Rich Megginson 2011-03-22 19:30:46 UTC
Are we targeting all of these for 389 1.2.8?

Comment 6 Nathan Kinder 2011-03-22 19:44:08 UTC
(In reply to comment #5)
> Are we targeting all of these for 389 1.2.8?

No, only cov#10610.  The other 2 issues do not look critical to me.

Comment 7 Nathan Kinder 2011-03-22 21:17:25 UTC
Pushed patch for cov#10610 to 389-ds-base-1.2.8 branch:

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 752 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   27624b8..e641e98  128-local -> 389-ds-base-1.2.8

Comment 8 Amita Sharma 2011-04-26 13:10:08 UTC
I request the developer to verify this please.

Comment 9 Amita Sharma 2011-04-26 13:23:00 UTC
Confirmed by Rich, Marking it as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.